%
% Solve the transient heat equation with
% - fixed temperatures at the left,
% - insulated surface on the right,
% - initial temperature distribution.
%
% Note: r < 1/2 for stability!
%

clear all
close all
clc

nFrames = 300;                % number of frames (in the movie)

deltaT = 0.001;               % set step sizes
deltaX = 0.05;
r = deltaT/deltaX^2

x = linspace(...);      % calculate x node locations

uInit = sin(x*pi/2);             % set some initial values

uFut(1)         = 0;             % set some boundary values that
uFut(length(x)) = 1;             % must be consistent with uInit


plot(x,uInit), xlabel('X axis'),...  % Plot the inital distribution
               ylabel('Y axis'),...
               title('Transient Heat Solution'),...
               axis([0 1 0 1])
drawnow

nPoints = length(x);
for i = 2 : nFrames             % make lots of plots
    
      for j = 2 : nPoints
          
          if j == nPoints       % beware the phantom
              uFut(j) = ...
          else
              uFut(j) = ...
          end
          

      end
      
      plot(x,uFut), xlabel('X axis'),...
                    ylabel('Y axis'),...
                    title('Transient Heat Solution'),...
                    axis([0 1 0 1])
	  drawnow
      

      ....              % update u values
end
disp('finished plotting...')


